package org.seasar.doma.it.dao;

/** */
@javax.annotation.Generated(value = { "Doma", "1.36.0-SNAPSHOT" }, date = "2022-09-08T03:51:28.412+0900")
public class EmployeeDaoImpl extends org.seasar.doma.internal.jdbc.dao.AbstractDao implements org.seasar.doma.it.dao.EmployeeDao {

    static {
        org.seasar.doma.internal.Artifact.validateVersion("1.36.0-SNAPSHOT");
    }

    private static final java.lang.reflect.Method __method19 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete", org.seasar.doma.it.entity.Employee.class);

    private static final java.lang.reflect.Method __method20 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "deleteBySqlFile", org.seasar.doma.it.entity.Employee.class);

    private static final java.lang.reflect.Method __method21 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete_ignoreVersion", org.seasar.doma.it.entity.Employee.class);

    private static final java.lang.reflect.Method __method22 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete_suppressOptimisticLockException", org.seasar.doma.it.entity.Employee.class);

    private static final java.lang.reflect.Method __method23 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete", java.util.List.class);

    private static final java.lang.reflect.Method __method24 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete_ignoreVersion", java.util.List.class);

    private static final java.lang.reflect.Method __method25 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "delete_suppressOptimisticLockException", java.util.List.class);

    private static final java.lang.reflect.Method __method26 = org.seasar.doma.internal.jdbc.dao.AbstractDao.__getDeclaredMethod(org.seasar.doma.it.dao.EmployeeDao.class, "deleteBySqlFile", java.util.List.class);

    /** */
    public EmployeeDaoImpl() {
        super(new org.seasar.doma.it.ItConfig());
    }

    /**
     * @param connection the connection
     */
    public EmployeeDaoImpl(java.sql.Connection connection) {
        super(new org.seasar.doma.it.ItConfig(), connection);
    }

    /**
     * @param dataSource the dataSource
     */
    public EmployeeDaoImpl(javax.sql.DataSource dataSource) {
        super(new org.seasar.doma.it.ItConfig(), dataSource);
    }

    /**
     * @param config the configuration
     */
    protected EmployeeDaoImpl(org.seasar.doma.jdbc.Config config) {
        super(config);
    }

    /**
     * @param config the configuration
     * @param connection the connection
     */
    protected EmployeeDaoImpl(org.seasar.doma.jdbc.Config config, java.sql.Connection connection) {
        super(config, connection);
    }

    /**
     * @param config the configuration
     * @param dataSource the dataSource
     */
    protected EmployeeDaoImpl(org.seasar.doma.jdbc.Config config, javax.sql.DataSource dataSource) {
        super(config, dataSource);
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectByExample(org.seasar.doma.it.entity.Employee e) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByExample", e);
        try {
            if (e == null) {
                throw new org.seasar.doma.DomaNullPointerException("e");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectByExample.sql");
            __query.addParameter("e", org.seasar.doma.it.entity.Employee.class, e);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectByExample");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByExample", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByExample", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectWithOptionalOrderBy(java.lang.String employeeName, java.lang.String orderBy) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectWithOptionalOrderBy", employeeName, orderBy);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectWithOptionalOrderBy.sql");
            __query.addParameter("employeeName", java.lang.String.class, employeeName);
            __query.addParameter("orderBy", java.lang.String.class, orderBy);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectWithOptionalOrderBy");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectWithOptionalOrderBy", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectWithOptionalOrderBy", __e);
            throw __e;
        }
    }

    @Override
    public org.seasar.doma.it.entity.Employee selectById(java.lang.Integer employeeId) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", employeeId);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectById.sql");
            __query.addParameter("employeeId", java.lang.Integer.class, employeeId);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectById");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<org.seasar.doma.it.entity.Employee> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<org.seasar.doma.it.entity.Employee>(__query, new org.seasar.doma.internal.jdbc.command.EntitySingleResultHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            org.seasar.doma.it.entity.Employee __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", __e);
            throw __e;
        }
    }

    @Override
    public org.seasar.doma.it.entity.Employee selectById(java.lang.Integer employeeId, org.seasar.doma.jdbc.SelectOptions options) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", employeeId, options);
        try {
            if (options == null) {
                throw new org.seasar.doma.DomaNullPointerException("options");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectById.sql");
            __query.setOptions(options);
            __query.addParameter("employeeId", java.lang.Integer.class, employeeId);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectById");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<org.seasar.doma.it.entity.Employee> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<org.seasar.doma.it.entity.Employee>(__query, new org.seasar.doma.internal.jdbc.command.EntitySingleResultHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            org.seasar.doma.it.entity.Employee __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectById", __e);
            throw __e;
        }
    }

    @Override
    public java.util.Map<java.lang.String, java.lang.Object> selectByIdAsMap(java.lang.Integer employeeId) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByIdAsMap", employeeId);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectByIdAsMap.sql");
            __query.addParameter("employeeId", java.lang.Integer.class, employeeId);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectByIdAsMap");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.Map<java.lang.String, java.lang.Object>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.Map<java.lang.String, java.lang.Object>>(__query, new org.seasar.doma.internal.jdbc.command.MapSingleResultHandler(org.seasar.doma.MapKeyNamingType.CAMEL_CASE));
            java.util.Map<java.lang.String, java.lang.Object> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByIdAsMap", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByIdAsMap", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<java.util.Map<java.lang.String, java.lang.Object>> selectAllAsMapList() {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList");
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAllAsMapList.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAllAsMapList");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>>(__query, new org.seasar.doma.internal.jdbc.command.MapResultListHandler(org.seasar.doma.MapKeyNamingType.CAMEL_CASE));
            java.util.List<java.util.Map<java.lang.String, java.lang.Object>> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAllAsMapList(org.seasar.doma.jdbc.IterationCallback<R, java.util.Map<java.lang.String, java.lang.Object>> callback) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", callback);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAllAsMapList.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAllAsMapList");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.MapIterationHandler<R>(org.seasar.doma.MapKeyNamingType.CAMEL_CASE, callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAllAsMapList(org.seasar.doma.jdbc.IterationCallback<R, java.util.Map<java.lang.String, java.lang.Object>> callback, org.seasar.doma.jdbc.SelectOptions options) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", callback, options);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            if (options == null) {
                throw new org.seasar.doma.DomaNullPointerException("options");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAllAsMapList.sql");
            __query.setOptions(options);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAllAsMapList");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.MapIterationHandler<R>(org.seasar.doma.MapKeyNamingType.CAMEL_CASE, callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllAsMapList", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectByNamePrefix(java.lang.String employeeName) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNamePrefix", employeeName);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectByNamePrefix.sql");
            __query.addParameter("employeeName", java.lang.String.class, employeeName);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectByNamePrefix");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNamePrefix", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNamePrefix", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectByNameInside(java.lang.String employeeName) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameInside", employeeName);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectByNameInside.sql");
            __query.addParameter("employeeName", java.lang.String.class, employeeName);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectByNameInside");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameInside", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameInside", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectByNameSuffix(java.lang.String employeeName) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameSuffix", employeeName);
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectByNameSuffix.sql");
            __query.addParameter("employeeName", java.lang.String.class, employeeName);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectByNameSuffix");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameSuffix", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectByNameSuffix", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectAll() {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll");
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAll.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAll");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectAll(org.seasar.doma.jdbc.SelectOptions options) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", options);
        try {
            if (options == null) {
                throw new org.seasar.doma.DomaNullPointerException("options");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAll.sql");
            __query.setOptions(options);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAll");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectOnlyNameWithMappingCheck() {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithMappingCheck");
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectOnlyNameWithMappingCheck.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectOnlyNameWithMappingCheck");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(true);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithMappingCheck", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithMappingCheck", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> selectOnlyNameWithoutMappingCheck() {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithoutMappingCheck");
        try {
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectOnlyNameWithoutMappingCheck.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectOnlyNameWithoutMappingCheck");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query, new org.seasar.doma.internal.jdbc.command.EntityResultListHandler<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal()));
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithoutMappingCheck", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectOnlyNameWithoutMappingCheck", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAll(org.seasar.doma.jdbc.IterationCallback<R, org.seasar.doma.it.entity.Employee> callback) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", callback);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAll.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAll");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.EntityIterationHandler<R, org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAll(org.seasar.doma.jdbc.IterationCallback<R, org.seasar.doma.it.entity.Employee> callback, org.seasar.doma.jdbc.SelectOptions options) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", callback, options);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            if (options == null) {
                throw new org.seasar.doma.DomaNullPointerException("options");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAll.sql");
            __query.setOptions(options);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAll");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.EntityIterationHandler<R, org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAll", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAllSalary(org.seasar.doma.jdbc.IterationCallback<R, java.math.BigDecimal> callback) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", callback);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAllSalary.sql");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAllSalary");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.BasicIterationHandler<R, java.math.BigDecimal>(new org.seasar.doma.wrapper.BigDecimalWrapper(), callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", __e);
            throw __e;
        }
    }

    @Override
    public <R> R selectAllSalary(org.seasar.doma.jdbc.IterationCallback<R, java.math.BigDecimal> callback, org.seasar.doma.jdbc.SelectOptions options) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", callback, options);
        try {
            if (callback == null) {
                throw new org.seasar.doma.DomaNullPointerException("callback");
            }
            if (options == null) {
                throw new org.seasar.doma.DomaNullPointerException("options");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileSelectQuery();
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/selectAllSalary.sql");
            __query.setOptions(options);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("selectAllSalary");
            __query.setResultEnsured(false);
            __query.setResultMappingEnsured(false);
            __query.setQueryTimeout(-1);
            __query.setMaxRows(-1);
            __query.setFetchSize(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.SelectCommand<R> __command = new org.seasar.doma.internal.jdbc.command.SelectCommand<R>(__query, new org.seasar.doma.internal.jdbc.command.BasicIterationHandler<R, java.math.BigDecimal>(new org.seasar.doma.wrapper.BigDecimalWrapper(), callback));
            R __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "selectAllSalary", __e);
            throw __e;
        }
    }

    @Override
    public int delete(org.seasar.doma.it.entity.Employee entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method19);
            __query.setConfig(config);
            __query.setEntity(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete");
            __query.setQueryTimeout(-1);
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.DeleteCommand __command = new org.seasar.doma.internal.jdbc.command.DeleteCommand(__query);
            int __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", __e);
            throw __e;
        }
    }

    @Override
    public int deleteBySqlFile(org.seasar.doma.it.entity.Employee entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileDeleteQuery __query = new org.seasar.doma.internal.jdbc.query.SqlFileDeleteQuery();
            __query.setMethod(__method20);
            __query.setConfig(config);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/deleteBySqlFile.sql");
            __query.addParameter("entity", org.seasar.doma.it.entity.Employee.class, entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("deleteBySqlFile");
            __query.setQueryTimeout(-1);
            __query.setEntityAndEntityType("entity", entity, org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.DeleteCommand __command = new org.seasar.doma.internal.jdbc.command.DeleteCommand(__query);
            int __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", __e);
            throw __e;
        }
    }

    @Override
    public int delete_ignoreVersion(org.seasar.doma.it.entity.Employee entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method21);
            __query.setConfig(config);
            __query.setEntity(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete_ignoreVersion");
            __query.setQueryTimeout(-1);
            __query.setVersionIgnored(true);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.DeleteCommand __command = new org.seasar.doma.internal.jdbc.command.DeleteCommand(__query);
            int __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", __e);
            throw __e;
        }
    }

    @Override
    public int delete_suppressOptimisticLockException(org.seasar.doma.it.entity.Employee entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method22);
            __query.setConfig(config);
            __query.setEntity(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete_suppressOptimisticLockException");
            __query.setQueryTimeout(-1);
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(true);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.DeleteCommand __command = new org.seasar.doma.internal.jdbc.command.DeleteCommand(__query);
            int __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", __e);
            throw __e;
        }
    }

    @Override
    public int[] delete(java.util.List<org.seasar.doma.it.entity.Employee> entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method23);
            __query.setConfig(config);
            __query.setEntities(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete");
            __query.setQueryTimeout(-1);
            __query.setBatchSize(-1);
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.BatchDeleteCommand __command = new org.seasar.doma.internal.jdbc.command.BatchDeleteCommand(__query);
            int[] __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete", __e);
            throw __e;
        }
    }

    @Override
    public int[] delete_ignoreVersion(java.util.List<org.seasar.doma.it.entity.Employee> entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method24);
            __query.setConfig(config);
            __query.setEntities(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete_ignoreVersion");
            __query.setQueryTimeout(-1);
            __query.setBatchSize(-1);
            __query.setVersionIgnored(true);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.BatchDeleteCommand __command = new org.seasar.doma.internal.jdbc.command.BatchDeleteCommand(__query);
            int[] __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_ignoreVersion", __e);
            throw __e;
        }
    }

    @Override
    public int[] delete_suppressOptimisticLockException(java.util.List<org.seasar.doma.it.entity.Employee> entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.AutoBatchDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setMethod(__method25);
            __query.setConfig(config);
            __query.setEntities(entity);
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("delete_suppressOptimisticLockException");
            __query.setQueryTimeout(-1);
            __query.setBatchSize(-1);
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(true);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.BatchDeleteCommand __command = new org.seasar.doma.internal.jdbc.command.BatchDeleteCommand(__query);
            int[] __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "delete_suppressOptimisticLockException", __e);
            throw __e;
        }
    }

    @Override
    public int[] deleteBySqlFile(java.util.List<org.seasar.doma.it.entity.Employee> entity) {
        entering("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", entity);
        try {
            if (entity == null) {
                throw new org.seasar.doma.DomaNullPointerException("entity");
            }
            org.seasar.doma.internal.jdbc.query.SqlFileBatchDeleteQuery<org.seasar.doma.it.entity.Employee> __query = new org.seasar.doma.internal.jdbc.query.SqlFileBatchDeleteQuery<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity.Employee.class);
            __query.setMethod(__method26);
            __query.setConfig(config);
            __query.setElements(entity);
            __query.setSqlFilePath("META-INF/org/seasar/doma/it/dao/EmployeeDao/deleteBySqlFile.sql");
            __query.setParameterName("entity");
            __query.setCallerClassName("org.seasar.doma.it.dao.EmployeeDaoImpl");
            __query.setCallerMethodName("deleteBySqlFile");
            __query.setQueryTimeout(-1);
            __query.setBatchSize(-1);
            __query.setEntityType(org.seasar.doma.it.entity._Employee.getSingletonInternal());
            __query.setVersionIgnored(false);
            __query.setOptimisticLockExceptionSuppressed(false);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.BatchDeleteCommand __command = new org.seasar.doma.internal.jdbc.command.BatchDeleteCommand(__query);
            int[] __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.EmployeeDaoImpl", "deleteBySqlFile", __e);
            throw __e;
        }
    }

}
